{block name='checkout-modules-creditcard'}
    {block name='checkout-modules-creditcard-alert'}
        <fieldset>
            {if isset($fehlendeAngaben)}
                <div role="alert" class="alert alert-danger">{lang key='invadivdDataWarning' section=''}</div>
            {else}
                <div role="alert" class="alert alert-info">{lang key='mandatoryFieldNotification' section='errorMessages'}</div>
            {/if}
        </fieldset>
    {/block}
    {block name='checkout-modules-creditcard-payment-creditcard'}
        <fieldset id="payment_creditcard">
            <legend>{lang key='paymentOptionCreditcardDesc' section='shipping payment'}</legend>
            <div class="row">
                <div class="col col-12 col-md-6">
                    {formgroup
                        class="crc_no {if isset($fehlendeAngaben.kreditkartennr) && $fehlendeAngaben.kreditkartennr > 0} has-error{/if}"
                        label="{lang key='creditcardNo' section='shipping payment'}"
                        label-for="inp_creditcardNo"
                    }
                        <input type="text" name="kreditkartennr" id="inp_creditcardNo" class="form-control" maxlength="32" size="32" value="{if isset($ZahlungsInfo->cKartenNr)}{$ZahlungsInfo->cKartenNr}{/if}" required />
                        {if isset($fehlendeAngaben.kreditkartennr) && $fehlendeAngaben.kreditkartennr > 0}
                            <div role="alert" class="alert alert-danger">{lang key='fillOut'}</div>
                        {/if}
                    {/formgroup}
                </div>

                <div class="col col-12 col-md-6">
                    {formgroup
                        class="crc_vadivd {if isset($fehlendeAngaben.gueltigkeit) && $fehlendeAngaben.gueltigkeit > 0} has-error{/if}"
                        label="{lang key='validity' section='shipping payment'}"
                        label-for="inp_validity"
                    }
                        <input type="text" name="gueltigkeit" id="inp_validity" class="form-control" maxlength="12"  size="12" value="{if isset($ZahlungsInfo->cGueltigkeit)}{$ZahlungsInfo->cGueltigkeit}{/if}" required />
                        {if isset($fehlendeAngaben.gueltigkeit) && $fehlendeAngaben.gueltigkeit > 0}
                            <div role="alert" class="alert alert-danger">{lang key='fillOut'}</div>
                        {/if}
                    {/formgroup}
                </div>
            </div>

            <div class="row">
                <div class="col col-12 col-md-6">
                    {formgroup
                        class="crc_cvv {if isset($fehlendeAngaben.cvv) && $fehlendeAngaben.cvv > 0} has-error{/if}"
                        label="{lang key='cvv' section='shipping payment'}"
                        label-for="inp_cvv"
                    }
                        <input type="text" name="cvv" id="inp_cvv" class="form-control" maxlength="4" size="4" value="{if isset($ZahlungsInfo->cCVV)}{$ZahlungsInfo->cCVV}{/if}" required />
                        {if isset($fehlendeAngaben.cvv) && $fehlendeAngaben.cvv > 0}
                            <div role="alert" class="alert alert-danger">{lang key='fillOut'}</div>
                        {/if}
                    {/formgroup}
                </div>

                <div class="col col-12 col-md-6">
                    {formgroup
                        class="crc_type {if isset($fehlendeAngaben.kartentyp) && $fehlendeAngaben.kartentyp > 0} has-error{/if}"
                        label="{lang key='creditcardType' section='shipping payment'}"
                        label-for="inp_creditcardType"
                    }
                        <input type="text" name="kartentyp" id="inp_creditcardType" class="form-control" maxlength="45" size="32" value="{if isset($ZahlungsInfo->cKartenTyp)}{$ZahlungsInfo->cKartenTyp}{/if}" />
                        {if isset($fehlendeAngaben.kartentyp) && $fehlendeAngaben.kartentyp > 0}
                            <div role="alert" class="alert alert-danger">{lang key='fillOut'}</div>
                        {/if}
                    {/formgroup}
                </div>
            </div>

            <div class="row">
                <div class="col col-12 col-md-6">
                    {formgroup
                        class="crc_owner {if isset($fehlendeAngaben.inhaber) && $fehlendeAngaben.inhaber > 0} has-error{/if}"
                        label="{lang key='owner' section='shipping payment'}"
                        label-for="inp_owner"
                    }
                        <input type="text" name="inhaber" id="inp_owner" class="form-control" maxlength="80" size="32" value="{if isset($ZahlungsInfo->cInhaber)}{$ZahlungsInfo->cInhaber}{/if}" required />
                        {if isset($fehlendeAngaben.inhaber) && $fehlendeAngaben.gueltigkeit > 0}
                            <div role="alert" class="alert alert-danger">{lang key='fillOut'}</div>
                        {/if}
                    {/formgroup}
                </div>
            </div>
        </fieldset>
    {/block}
{/block}
