{block name='contact-index'}
    {block name='contact-index-include-header'}
        {include file='layout/header.tpl'}
    {/block}

    {if isset($Link) && $Link->getID() > 0 && $Link->getLinkType() === $smarty.const.LINKTYP_KONTAKT}
        {* Render the title separately *}
        {if !empty($Spezialcontent->titel)}
            {block name='contact-index-heading'}
                {opcMountPoint id='opc_before_heading' inContainer=false}
                <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}">
                    <div class="title h2">
                        {$Spezialcontent->titel}
                    </div>
                </div>
            {/block}
        {/if}
        {* Actual content will come in from the cms_content.tpl, if we are not a real cms link or embedded in checkout, we render the normal content *}
        {et_renderGrid id="cms_{$Link->getID()}" fallbackId="cms_main"}
    {else}
        {include file='contact/index_content.tpl'}
    {/if}

    {block name='contact-index-footer'}
        {include file='layout/footer.tpl'}
    {/block}
{/block}
