{block name='layout-header-nav-search'}
    {$idPostFix=$idPostFix|default:''}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    {block name='layout-header-nav-search-search'}
        <div class="nav-item" id="search{$idPostFix}">
            <div class="search-wrapper">
                <form action="{if $shopIsAtLeast52}{$ShopURL}/search/{else}{get_static_route id='index.php'}{/if}" method="GET">
                    <div class="form-icon">
                        <div class="input-group">
                            <input id="search-header{$idPostFix}" name="qs" type="text" class="ac_input form-control" placeholder="{lang key='search'}" autocomplete="off" aria-label="{lang key='search'}" />
                            <div class="input-group-append">
                                {if $shopIsAtLeast52}
                                    {include file="widgets/base/button.tpl" type="submit" variant="secondary" ariaLabel="{lang key='search'}" iconPosition="none" label="<i class=\"{et_getIcon key='search'}\"></i>"}
                                {else}
                                    {include file="widgets/base/button.tpl" type="submit" name="search" variant="secondary" ariaLabel="{lang key='search'}" iconPosition="none" label="<i class=\"{et_getIcon key='search'}\"></i>"}
                                {/if}
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    {/block}
    {block name='layout-header-nav-search-search-dropdown'}
        {* Not available in ET360 *}
    {/block}
{/block}
