{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_UspBar.customColorsEnabled}
            <style type="text/css">
                {if $et_UspBar.customColorsEnabled}
                    #{$et_BaseWidget.cssId}.bg-fullsize,
                    #{$et_BaseWidget.cssId}.bg-boxed .container {
                        {if !empty($et_UspBar.colorBackground)} background-color: {$et_UspBar.colorBackground};{/if}
                        {if !empty($et_UspBar.colorFont)} color: {$et_UspBar.colorFont};{/if}
                        {if !empty($et_UspBar.colorBottomLine) && $et_UspBar.bottomLineEnabled} border-bottom-color: {$et_UspBar.colorBottomLine};{/if}
                    }
                    {if !empty($et_UspBar.colorFontHover)}
                        #{$et_BaseWidget.cssId} a:not(.dropdown-item):hover,
                        #{$et_BaseWidget.cssId} a:not(.dropdown-item):active,
                        #{$et_BaseWidget.cssId} a:not(.dropdown-item):focus {
                            color: {$et_UspBar.colorFontHover};
                        }
                    {/if}
                {/if}
            </style>
        {/if}
    {/block}
    {block name="et-widget-container-inner"}
        <div class="et-usp-bar-wrapper">
            <div class="et-usp-bar-content">
                {block name="et-usp-bar-content-left"}
                    <div class="et-usp-bar-content-left">
                        {foreach $et_UspBar.uspItemsByPosition.left as $item}
                            {include file='widgets/snippets/usp_bar_item.tpl' item=$item}
                        {/foreach}
                    </div>
                {/block}
                {block name="et-usp-bar-content-center"}
                    <div class="et-usp-bar-content-center">
                        {foreach $et_UspBar.uspItemsByPosition.center as $item}
                            {include file='widgets/snippets/usp_bar_item.tpl' item=$item}
                        {/foreach}
                    </div>
                {/block}
                {block name="et-usp-bar-content-right"}
                    <div class="et-usp-bar-content-right">
                        {foreach $et_UspBar.uspItemsByPosition.right as $item}
                            {include file='widgets/snippets/usp_bar_item.tpl' item=$item}
                        {/foreach}
                    </div>
                {/block}
            </div>
        </div>
    {/block}
{/strip}