{block name='boxes-box-manufacturers'}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    <div class="box box-manufacturers box-normal dropdown-full-width" id="sidebox{$oBox->getID()}">
        {block name='boxes-box-manufacturers-content'}
            {block name='boxes-box-manufacturers-toggle-title'}
                <a id="crd-hdr-{$oBox->getID()}"
                    href="#crd-cllps-{$oBox->getID()}"
                    data-toggle="collapse"
                    role="button"
                    aria-expanded="false"
                    aria-controls="crd-cllps-{$oBox->getID()}"
                    class="box-normal-link dropdown-toggle"
                >
                    {lang key='manufacturers'}
                </a>
            {/block}
            {block name='boxes-box-manufacturers-title'}
                <div class="productlist-filter-headline d-none d-md-flex">
                    {lang key='manufacturers'}
                </div>
            {/block}
            {block name='boxes-box-manufacturers-collapse'}
                <div
                    class="collapse d-md-block"
                    id="crd-cllps-{$oBox->getID()}"
                    aria-labelledby="crd-hdr-{$oBox->getID()}"
                >
                    {if $oBox->getManufacturers() !== null && count($oBox->getManufacturers()) > 8}
                        {block name='boxes-box-manufacturers-dropdown'}
                            <div class="dropdown w-100-util">
                                <button
                                    class="btn btn-secondary dropdown-toggle btn-block"
                                    type="button"
                                    data-toggle="dropdown"
                                    aria-haspopup="true"
                                    aria-expanded="false"
                                >
                                    {lang key='selectManufacturer'}<span class='caret'></span>
                                </button>

                                <div class="dropdown-menu">
                                    {foreach $oBox->getManufacturers() as $manufacturer}
                                        <li class="nav-item dropdown-item">
                                            {if $shopIsAtLeast52}
                                                <a href="{$manufacturer->getURL()}" class="nav-link" target="_self">
                                                    {$manufacturer->getName()|escape:'html'}
                                                </a>
                                            {else}
                                                <a href="{$manufacturer->cSeo}" class="nav-link" target="_self">
                                                    {$manufacturer->cName|escape:'html'}
                                                </a>
                                            {/if}
                                        </li>
                                    {/foreach}
                                </div>
                            </div>
                        {/block}
                    {else}
                        {block name='boxes-box-manufacturers-link'}
                            <ul class="nav flex-column">
                                {foreach $oBox->getManufacturers() as $manufacturer}
                                    <li class="nav-item dropdown-item">
                                        {if $shopIsAtLeast52}
                                            <a href="{$manufacturer->getURL()}" class="nav-link" title="{$manufacturer->getName()|escape:'html'}" target="_self">
                                                {$manufacturer->getName()|escape:'html'}
                                            </a>
                                        {else}
                                            <a href="{$manufacturer->cSeo}" class="nav-link" title="{$manufacturer->cName|escape:'html'}" target="_self">
                                                {$manufacturer->cName|escape:'html'}
                                            </a>
                                        {/if}
                                    </li>
                                {/foreach}
                            </ul>
                        {/block}
                    {/if}
                </div>
            {/block}
            {block name='boxes-box-manufacturers-hr-end'}
                <hr class="box-normal-hr">
            {/block}
        {/block}
    </div>
{/block}
