{block name='boxes-box-news-month'}
    <div class="box box-monthlynews box-normal" id="sidebox{$oBox->getID()}">
        {block name='boxes-box-news-month-content'}
            {block name='boxes-box-news-month-toggle-title'}
                <a id="crd-hdr-{$oBox->getID()}"
                    href="#crd-cllps-{$oBox->getID()}"
                    data-toggle="collapse"
                    role="button"
                    aria-expanded="false"
                    aria-controls="crd-cllps-{$oBox->getID()}"
                    class="box-normal-link dropdown-toggle"
                >
                    {lang key='newsBoxMonthOverview'}
                </a>
            {/block}
            {block name='boxes-box-news-month-title'}
                <div class="productlist-filter-headline d-none d-md-flex">
                    {lang key='newsBoxMonthOverview'}
                </div>
            {/block}
            {block name='boxes-box-news-month-collapse'}
                <div
                    class="collapse d-md-block"
                    id="crd-cllps-{$oBox->getID()}"
                    aria-labelledby="crd-hdr-{$oBox->getID()}"
                >
                    <ul class="nav flex-column box-nav-item">
                        {foreach $oBox->getItems() as $newsMonth}
                            {block name='boxes-box-news-month-news-link'}
                                <li class="nav-item">
                                    <a href="{$newsMonth->cURLFull}" title="{$newsMonth->cName}" class="nav-link box-link-wrapper">
                                        {$newsMonth->cName}
                                        <span class="badge badge-outline-secondary">{$newsMonth->nAnzahl}</span>
                                    </a>
                                </li>
                            {/block}
                        {/foreach}
                    </ul>
                </div>
            {/block}
        {/block}
    </div>
    {block name='boxes-box-news-month-hr-end'}
        <hr class="box-normal-hr">
    {/block}
{/block}
