{block name='productdetails-config-summary'}
{strip}
    {block name='productdetails-config-summary-name-net'}
        <div class="config-summary-table-item">
            <div class="config-summary-table-item-name">{$Artikel->cName}</div>
            <div class="config-summary-table-item-price text-right-util text-nowrap-util">{$Artikel->Preise->cVKLocalized[$NettoPreise]}</div>
        </div>
    {/block}
    {if isset($oKonfig->oKonfig_arr) && count($oKonfig->oKonfig_arr) > 0}
        {$isIgnoreMultiplier = false}
        {block name='productdetails-config-summary-conf-groups'}
            {foreach $oKonfig->oKonfig_arr as $oKonfiggruppe}
                {if $oKonfiggruppe->bAktiv}
                    {foreach $oKonfiggruppe->oItem_arr as $oKonfigitem}
                        {if $oKonfigitem->bAktiv && !$oKonfigitem->ignoreMultiplier()}
                            <div class="config-summary-table-item">
                                <div class="config-summary-table-item-quantity text-nowrap-util">{$oKonfigitem->fAnzahl}&times;</div>
                                <div class="config-summary-table-item-name word-break">
                                    <a href="#cfg-item-{$oKonfigitem->getKonfigitem()}" title="{$oKonfigitem->getName()|unescape:'htmlall'|escape:'html'}">
                                        {$oKonfigitem->getName()}
                                    </a>
                                </div>
                                <div class="config-summary-table-item-price text-right-util text-nowrap-util">{$oKonfigitem->getFullPriceLocalized(true, false, 1)}</div>
                            </div>
                        {elseif $oKonfigitem->bAktiv && $oKonfigitem->ignoreMultiplier()}
                            {$isIgnoreMultiplier = true}
                        {/if}
                    {/foreach}
                {/if}
            {/foreach}
        {/block}
        {if $isIgnoreMultiplier}
            {block name='productdetails-config-summary-conf-groups-ignore-multiplier'}
                <div class="config-summary-table-item">
                    <div class="highlighted">{lang key='one-off' section='checkout'}</div>
                </div>
                {foreach $oKonfig->oKonfig_arr as $oKonfiggruppe}
                    {if $oKonfiggruppe->bAktiv}
                        {foreach $oKonfiggruppe->oItem_arr as $oKonfigitem}
                            {if $oKonfigitem->bAktiv && $oKonfigitem->ignoreMultiplier()}
                                <div class="config-summary-table-item">
                                    <div class="config-summary-table-item-quantity text-nowrap-util">{$oKonfigitem->fAnzahl}&times;</div>
                                    <div class="config-summary-table-item-name word-break">
                                        <a href="#cfg-item-{$oKonfigitem->getKonfigitem()}" title="{$oKonfigitem->getName()|unescape:'htmlall'|escape:'html'}">
                                            {$oKonfigitem->getName()}
                                        </a>
                                    </div>
                                    <div class="config-summary-table-item-price text-right-util">{$oKonfigitem->getFullPriceLocalized()}</div>
                                </div>
                            {/if}
                        {/foreach}
                    {/if}
                {/foreach}
            {/block}
        {/if}
    {/if}
{/strip}
{/block}
