{block name='productdetails-stock'}
    {assign var=anzeige value=$Einstellungen.artikeldetails.artikel_lagerbestandsanzeige}
    {$skipMicrodata=$skipMicrodata|default:false}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    <div class="delivery-status">
    {block name='productdetails-stock-stock-info'}
        <ul class="list-unstyled">
            {if !isset($shippingTime)}
                {block name='productdetails-stock-shipping-time'}
                    <li>
                        {block name='productdetails-stock-availability'}
                            {if $Artikel->inWarenkorbLegbar === $smarty.const.INWKNICHTLEGBAR_UNVERKAEUFLICH}
                                <span class="status"><small>{lang key='productUnsaleable' section='productDetails'}</small></span>
                            {elseif !$Artikel->nErscheinendesProdukt}
                                {block name='productdetails-stock-include-stock-status'}
                                    {include file='snippets/stock_status.tpl' currentProduct=$Artikel}
                                {/block}
                            {else}
                                {if $anzeige === 'verfuegbarkeit' || $anzeige === 'genau' && $Artikel->fLagerbestand > 0}
                                    <span class="status status-{$Artikel->Lageranzeige->nStatus}">
                                        {$Artikel->Lageranzeige->cLagerhinweis[$anzeige]}
                                    </span>
                                {elseif $anzeige === 'ampel' && $Artikel->fLagerbestand > 0}
                                    <span class="status status-{$Artikel->Lageranzeige->nStatus}">
                                        {$Artikel->Lageranzeige->AmpelText}
                                    </span>
                                {/if}
                            {/if}
                        {/block}
                        {if !$skipMicrodata}
                            {* rich snippet availability *}
                            {block name='productdetails-stock-rich-availability'}
                                {include file="productdetails/stock_microdata.tpl" Artikel=$Artikel}
                            {/block}
                        {/if}
                        {if isset($Artikel->cLieferstatus) && ($Einstellungen.artikeldetails.artikeldetails_lieferstatus_anzeigen === 'Y' ||
                        ($Einstellungen.artikeldetails.artikeldetails_lieferstatus_anzeigen === 'L' && $Artikel->fLagerbestand == 0 && $Artikel->cLagerBeachten === 'Y') ||
                        ($Einstellungen.artikeldetails.artikeldetails_lieferstatus_anzeigen === 'A' && ($Artikel->fLagerbestand > 0 || $Artikel->cLagerKleinerNull === 'Y' || $Artikel->cLagerBeachten !== 'Y')))}
                            {block name='productdetails-stock-delivery-status'}
                                <div class="delivery-status">{lang key='deliveryStatus'}: {$Artikel->cLieferstatus}</div>
                            {/block}
                        {/if}
                    </li>
                {/block}
            {/if}
            {if !isset($availability)}
            {block name='productdetails-stock-estimated-delivery'}
                {if $Artikel->cEstimatedDelivery}
                    {lang key='shippingInformation' section='productDetails' assign='shippingInformationTranslated'}
                    {if $shopIsAtLeast52 && isset($shippingCountry, $oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND])}
                        {getCountry iso=$shippingCountry assign='selectedCountry'}
                        {if !empty($selectedCountry)}
                            {$shippingInformationTranslatedReplaced=sprintf($shippingInformationTranslated, $selectedCountry->getName(), $oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL(), $oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL())}
                        {/if}
                    {else}
                        {if isset($Firma, $Firma->country, $oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND])}
                            {$shippingInformationTranslatedReplaced=sprintf($shippingInformationTranslated, $Firma->country->getName(), $oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL(), $oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL())}
                        {/if}
                    {/if}
                    <li>
                        <div class="estimated-delivery"
                            {if isset($oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND])}
                                data-toggle="popover"
                                data-trigger="focus"
                                tabindex="0"
                                data-placement="top"
                                data-content="{if !empty($shippingInformationTranslatedReplaced)}{$shippingInformationTranslatedReplaced}{/if}"
                            {/if}>
                            {strip}
                                <i class="{et_getIcon key='shipping'} status-icon"></i>
                                <span class="status-text">
                                    {if !isset($shippingTime)}{lang key='shippingTime'}: {/if}
                                    <span class="a{$Artikel->Lageranzeige->nStatus}">
                                        {$Artikel->cEstimatedDelivery} &nbsp;
                                        {if $shopIsAtLeast52 && isset($selectedCountry)}
                                            <span class="estimated-delivery-info">{lang key='shippingInfoIcon' section='productDetails' printf=$selectedCountry->getISO()}</span>
                                        {else}
                                            <span class="estimated-delivery-info">({lang key='shippingInfoIcon' section='productDetails'})</span>
                                        {/if}
                                    </span>
                                </span>
                            {/strip}
                        </div>
                    </li>
                {/if}
            {/block}
            {/if}
        </ul>
    {/block}
    </div>
{/block}
